Summary: Analyzes and Reports on system logs.
Name: logwatch
Version: 7.3.4
Release: 1tr
License: MIT
Group: Trustix Official
Source: ftp://ftp.kaybee.org/pub/linux/%{name}-%{version}.tar.gz
Source1: logwatch.conf
Source2: logwatch-cron
Patch0: logwatch_logpath.patch
URL: http://www.logwatch.org/
BuildRoot: %{_tmppath}/%{name}-root
Requires: perl 

%description
Logwatch is a customizable log analysis system. Logwatch parses 
through your system's logs for a given period of time and creates 
a report analyzing areas that you specify, in as much detail as 
you require. Logwatch is easy to use and will work right out of 
the package on most systems.

%prep
%setup -q
%patch0 -p1
%build

%install
install -m 0755 -d $RPM_BUILD_ROOT%{_sysconfdir}/log.d/conf/logfiles
install -m 0755 -d $RPM_BUILD_ROOT%{_sysconfdir}/log.d/conf/services
install -m 0755 -d $RPM_BUILD_ROOT%{_sysconfdir}/log.d/conf/html
install -m 0755 -d $RPM_BUILD_ROOT%{_sysconfdir}/log.d/scripts/services
install -m 0755 -d $RPM_BUILD_ROOT%{_sysconfdir}/log.d/scripts/shared
install -m 0755 -d $RPM_BUILD_ROOT%{_sysconfdir}/log.d/lib

# Removing non TSL services                                                                                                                            
rm scripts/services/emerge
rm scripts/services/up2date
rm scripts/services/yum

rm conf/services/emerge.conf
rm conf/services/up2date.conf
rm conf/services/yum.conf

rm conf/logfiles/emerge.conf
rm conf/logfiles/up2date.conf
rm conf/logfiles/yum.conf

rm -rf scripts/logfiles/emerge
rm -rf scripts/logfiles/up2date
rm -rf scripts/logfiles/yum

install -m 0755 scripts/logwatch.pl $RPM_BUILD_ROOT%{_sysconfdir}/log.d/scripts/logwatch.pl
for i in scripts/logfiles/* ; do
   if [ $(ls $i | wc -l) -ne 0 ] ; then
      install -m 0755 -d $RPM_BUILD_ROOT%{_sysconfdir}/log.d/$i
      install -m 0755 $i/* $RPM_BUILD_ROOT%{_sysconfdir}/log.d/$i
   fi
done

install -m 0755 scripts/services/* $RPM_BUILD_ROOT%{_sysconfdir}/log.d/scripts/services
install -m 0755 scripts/shared/* $RPM_BUILD_ROOT%{_sysconfdir}/log.d/scripts/shared
install -m 0755 lib/* $RPM_BUILD_ROOT%{_sysconfdir}/log.d/lib
                                                                                                                             
install -m 0644 conf/ignore.conf $RPM_BUILD_ROOT%{_sysconfdir}/log.d/conf
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/log.d/conf
install -m 0644 conf/logfiles/* $RPM_BUILD_ROOT%{_sysconfdir}/log.d/conf/logfiles
install -m 0644 conf/services/* $RPM_BUILD_ROOT%{_sysconfdir}/log.d/conf/services
install -m 0644 conf/html/* $RPM_BUILD_ROOT%{_sysconfdir}/log.d/conf/html
install -m 0755 -d $RPM_BUILD_ROOT%{_mandir}/man8
install -m 0644 logwatch.8 $RPM_BUILD_ROOT%{_mandir}/man8

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/log.d/logwatch \
   $RPM_BUILD_ROOT%{_sysconfdir}/log.d/logwatch.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/logwatch-cron \
   $RPM_BUILD_ROOT%{_sbindir}/logwatch
 
ln -s scripts/logwatch.pl $RPM_BUILD_ROOT%{_sysconfdir}/log.d/logwatch
ln -s conf/logwatch.conf $RPM_BUILD_ROOT%{_sysconfdir}/log.d/logwatch.conf
install -m 0755 -d $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/logwatch-cron
install -m 0755 -d $RPM_BUILD_ROOT%{_sbindir}
ln -s ../..%{_sysconfdir}/log.d/scripts/logwatch.pl $RPM_BUILD_ROOT%{_sbindir}/logwatch


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
                                                                                                                             
%files
%defattr(-,root,root)
%doc License README HOWTO-Customize-LogWatch 
%dir %{_sysconfdir}/log.d
%dir %{_sysconfdir}/log.d/conf
%dir %{_sysconfdir}/log.d/scripts
%dir %{_sysconfdir}/log.d/conf/logfiles
%dir %{_sysconfdir}/log.d/conf/services
%dir %{_sysconfdir}/log.d/scripts/logfiles
%dir %{_sysconfdir}/log.d/scripts/services
%dir %{_sysconfdir}/log.d/scripts/shared
%dir %{_sysconfdir}/log.d/scripts/logfiles/*
%dir %{_sysconfdir}/log.d/lib
%config(noreplace) %{_sysconfdir}/log.d/conf/*.conf
%config(noreplace) %{_sysconfdir}/log.d/conf/services/*
%config(noreplace) %{_sysconfdir}/log.d/conf/logfiles/*
%{_sysconfdir}/log.d/scripts/logwatch.pl
%{_sbindir}/logwatch
%{_sysconfdir}/log.d/scripts/shared/*
%{_sysconfdir}/log.d/scripts/services/*
%{_sysconfdir}/log.d/scripts/logfiles/*/*
%{_sysconfdir}/log.d/logwatch
%{_sysconfdir}/log.d/lib/Logwatch.pm
%{_sysconfdir}/log.d/logwatch.conf
%{_sysconfdir}/cron.daily/logwatch-cron
%doc %{_mandir}/man8/logwatch.8*
/etc/log.d/conf/html/                                                                                                                             
%changelog
* Wed May 02 2007 Nived Gopalan <nived at trustix dot org> 7.3.4-1tr
- New Upstream.

* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Thu Dec 28 2006 Nived Gopalan <nived at trustix dot org> 7.3.2-1tr
- New Upstream.
- Fixed BaseDir path in logwatch.pl, Bug #2081.

* Mon Aug 07 2006 Nived Gopalan <nived at trustix dot org> 7.3-1tr
- New Upstream

* Tue Aug 09 2005 Bipin S <bipin at comodo dot com> 6.1.2-1tr
- Initial version.

